Name:           generatorrunner
Version:        0.6.7
Release:        1%{?dist}
Summary:        Plugin-based application to run apiextractor-based generators

Group:          Development/Tools
License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/generatorrunner-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  apiextractor-devel
BuildRequires:  cmake
BuildRequires:  python-sphinx
BuildRequires:  qt4-devel

%description
The Binding Generator is a utility that parses the headers for a given C/C++
library, generates a model and modifies it based on XML files (called type
system files) containing complementary semantic information, modifications,
renamings, etc, in order to generate binding source code (or documentation) for
the target language for which it was written.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# Build html docs
make %{?_smp_mflags} -C %{_target_platform} doc
rm -f %{_target_platform}/doc/html/_static/images/._*
rm -f %{_target_platform}/doc/html/.buildinfo
rm -f %{_target_platform}/doc/html/objects.inv
rm -rf %{_target_platform}/doc/html/.doctrees


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
make test -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/docgenerator
%{_bindir}/generatorrunner
%{_libdir}/generatorrunner/
%{_libdir}/libgenrunner.so.*
%{_mandir}/man1/docgenerator.1*
%{_mandir}/man1/generatorrunner.1*

%files devel
%defattr(-,root,root,-)
%doc %{_target_platform}/doc/html/
%{_includedir}/generatorrunner/
%{_libdir}/libgenrunner.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/GeneratorRunner-%{version}/


%changelog
* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.7-1
- Update to 0.6.7

* Wed Sep 29 2010 jkeating - 0.6.1-1.1
- Rebuilt for gcc bug 634757

* Sat Sep 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.1-1
- Update to 0.6.1

* Wed Aug 04 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-1
- Update to 0.6.0

* Mon Jun 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.5.0-2
- Build html documentation and ship it in -devel subpackage
- Use Development/Tools for main package

* Wed Jun 16 2010 Kalev Lember <kalev@smartlink.ee> - 0.5.0-1
- Initial RPM release
